package com.demo.ad.app;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

import com.qihoo.gamead.QihooIntegralInfo;

public class QIntegralReceiver extends BroadcastReceiver {
	private static final String TAG = "QIntegralReceiver";

	@Override
	public void onReceive(Context ctx, Intent intent) {
		QihooIntegralInfo info = QihooIntegralInfo.parse(ctx, intent);

		if (null != info) {
			info.displayInfo();
			
			/*
			 * 积分示例
			 */
			if (QihooIntegralInfo.AD_APK_ACTIVE == info.getType()) {
				// 应用下载后激活成功
				String text = "亲，您成功激活了一个应用，赠送: " + info.getCredit();
				Toast.makeText(ctx, text, Toast.LENGTH_LONG).show();
			}

			/*
			 * 以下由开发者根据info进行积分处理
			 */
			// info.type:
			// 信息类型，1表示开始下载；2表示下载成功；3表示下载失败；4表示安装成功；5表示应用启动激活成功，一般接收到类型5后，给用户赠送积分
			// info.desc: 对应信息类型的说明
			// info.packname: 表示下载激活应用的包名
			// info.credit: 表示下载激活应用的积分
			// info.imei: 本机的imei号
			// info.mac: 本机的wifi接入时的mac地址

			/*
			 * 开发者若需要把此info传到自己的服务器上，
			 */
			// 发送HTTP POST请求，QihooAdAgent.sendPostRequest(ctx,url,content),参数说明:
			// ctx: 上下文
			// url: 为开发者的服务器地址
			// content: 为传输的info内容

			// String url = "http://your.address/";
			// String content = "";
			// content = "type=" + info.getType() + "&" + "packname="
			// + info.getPackname() +"&" + "credit=" + info.getCredit() + "&" +
			// "imei=" + info.getImei() + "&"
			// + "mac=" + info.getMac();
			// QihooAdAgent.sendPostRequest(ctx, url, content);


		}

	}
}
